Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnection2Response.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnection2Response.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnection2Response.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnection2ResponseOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.ClientConnection2Response`

public static final class ClientWireProtocol.ClientConnection2Response.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder> implements ClientWireProtocol.ClientConnection2ResponseOrBuilder
Protobuf type `xg.cmdcomp.ClientConnection2Response`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ClientConnection2Response.Builder`
`addAllSecondary(Iterable<? extends ClientWireProtocol.SecondaryInterfaceList> values)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`addSecondary(int index, ClientWireProtocol.SecondaryInterfaceList value)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`addSecondary(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`addSecondary(ClientWireProtocol.SecondaryInterfaceList value)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`addSecondary(ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`addSecondaryBuilder()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`addSecondaryBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response`
`build()`
`ClientWireProtocol.ClientConnection2Response`
`buildPartial()`
`ClientWireProtocol.ClientConnection2Response.Builder`
`clear()`
`ClientWireProtocol.ClientConnection2Response.Builder`
`clearRedirect()`
Redirect = true, means we are telling client to connect elsewhere
`ClientWireProtocol.ClientConnection2Response.Builder`
`clearRedirectHost()`
`string redirectHost = 3;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`clearRedirectPort()`
`fixed32 redirectPort = 4;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`clearResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`clearSecondary()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`clearSecurityToken()`
The security token associated with this session
`ClientWireProtocol.ClientConnection2Response.Builder`
`clearServerSessionId()`
`string serverSessionId = 7;`
`ClientWireProtocol.ClientConnection2Response`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to connect elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 3;`
`com.google.protobuf.ByteString`
`getRedirectHostBytes()`
`string redirectHost = 3;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 4;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`getResponseBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SecondaryInterfaceList`
`getSecondary(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceList.Builder`
`getSecondaryBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<ClientWireProtocol.SecondaryInterfaceList.Builder>`
`getSecondaryBuilderList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`int`
`getSecondaryCount()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<ClientWireProtocol.SecondaryInterfaceList>`
`getSecondaryList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceListOrBuilder`
`getSecondaryOrBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder>`
`getSecondaryOrBuilderList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecurityToken`
`getSecurityToken()`
The security token associated with this session
`ClientWireProtocol.SecurityToken.Builder`
`getSecurityTokenBuilder()`
The security token associated with this session
`ClientWireProtocol.SecurityTokenOrBuilder`
`getSecurityTokenOrBuilder()`
The security token associated with this session
`String`
`getServerSessionId()`
`string serverSessionId = 7;`
`com.google.protobuf.ByteString`
`getServerSessionIdBytes()`
`string serverSessionId = 7;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasSecurityToken()`
The security token associated with this session
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.ClientConnection2Response.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.ClientConnection2Response.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.ClientConnection2Response.Builder`
`mergeFrom(ClientWireProtocol.ClientConnection2Response other)`
`ClientWireProtocol.ClientConnection2Response.Builder`
`mergeResponse(ClientWireProtocol.ConfirmationResponse value)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`mergeSecurityToken(ClientWireProtocol.SecurityToken value)`
The security token associated with this session
`final ClientWireProtocol.ClientConnection2Response.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ClientConnection2Response.Builder`
`removeSecondary(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setRedirect(boolean value)`
Redirect = true, means we are telling client to connect elsewhere
`ClientWireProtocol.ClientConnection2Response.Builder`
`setRedirectHost(String value)`
`string redirectHost = 3;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setRedirectHostBytes(com.google.protobuf.ByteString value)`
`string redirectHost = 3;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setRedirectPort(int value)`
`fixed32 redirectPort = 4;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setResponse(ClientWireProtocol.ConfirmationResponse value)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setResponse(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setSecondary(int index, ClientWireProtocol.SecondaryInterfaceList value)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setSecondary(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setSecurityToken(ClientWireProtocol.SecurityToken value)`
The security token associated with this session
`ClientWireProtocol.ClientConnection2Response.Builder`
`setSecurityToken(ClientWireProtocol.SecurityToken.Builder builderForValue)`
The security token associated with this session
`ClientWireProtocol.ClientConnection2Response.Builder`
`setServerSessionId(String value)`
`string serverSessionId = 7;`
`ClientWireProtocol.ClientConnection2Response.Builder`
`setServerSessionIdBytes(com.google.protobuf.ByteString value)`
`string serverSessionId = 7;`
`final ClientWireProtocol.ClientConnection2Response.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

### clear

public ClientWireProtocol.ClientConnection2Response.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnection2Response getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ClientConnection2Response build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ClientConnection2Response buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ClientConnection2Response.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnection2Response.Builder mergeFrom(ClientWireProtocol.ClientConnection2Response other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnection2Response.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`
Throws:
  `IOException`

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The response.

### setResponse

public ClientWireProtocol.ClientConnection2Response.Builder setResponse(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### setResponse

public ClientWireProtocol.ClientConnection2Response.Builder setResponse(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### mergeResponse

public ClientWireProtocol.ClientConnection2Response.Builder mergeResponse(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### clearResponse

public ClientWireProtocol.ClientConnection2Response.Builder clearResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseBuilder

public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`

### getRedirect

public boolean getRedirect()

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Specified by:
  `getRedirect` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The redirect.

### setRedirect

public ClientWireProtocol.ClientConnection2Response.Builder setRedirect(boolean value)

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Parameters:
  `value` - The redirect to set.
Returns:
  This builder for chaining.

### clearRedirect

public ClientWireProtocol.ClientConnection2Response.Builder clearRedirect()

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Returns:
  This builder for chaining.

### getRedirectHost

public String getRedirectHost()
`string redirectHost = 3;`

Specified by:
  `getRedirectHost` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The redirectHost.

### getRedirectHostBytes

public com.google.protobuf.ByteString getRedirectHostBytes()
`string redirectHost = 3;`

Specified by:
  `getRedirectHostBytes` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The bytes for redirectHost.

### setRedirectHost

public ClientWireProtocol.ClientConnection2Response.Builder setRedirectHost(String value)
`string redirectHost = 3;`

Parameters:
  `value` - The redirectHost to set.
Returns:
  This builder for chaining.

### clearRedirectHost

public ClientWireProtocol.ClientConnection2Response.Builder clearRedirectHost()
`string redirectHost = 3;`

Returns:
  This builder for chaining.

### setRedirectHostBytes

public ClientWireProtocol.ClientConnection2Response.Builder setRedirectHostBytes(com.google.protobuf.ByteString value)
`string redirectHost = 3;`

Parameters:
  `value` - The bytes for redirectHost to set.
Returns:
  This builder for chaining.

### getRedirectPort

public int getRedirectPort()
`fixed32 redirectPort = 4;`

Specified by:
  `getRedirectPort` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The redirectPort.

### setRedirectPort

public ClientWireProtocol.ClientConnection2Response.Builder setRedirectPort(int value)
`fixed32 redirectPort = 4;`

Parameters:
  `value` - The redirectPort to set.
Returns:
  This builder for chaining.

### clearRedirectPort

public ClientWireProtocol.ClientConnection2Response.Builder clearRedirectPort()
`fixed32 redirectPort = 4;`

Returns:
  This builder for chaining.

### getSecondaryList

public List<ClientWireProtocol.SecondaryInterfaceList> getSecondaryList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryList` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`

### getSecondaryCount

public int getSecondaryCount()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryCount` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`

### getSecondary

public ClientWireProtocol.SecondaryInterfaceList getSecondary(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondary` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`

### setSecondary

public ClientWireProtocol.ClientConnection2Response.Builder setSecondary(int index, ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### setSecondary

public ClientWireProtocol.ClientConnection2Response.Builder setSecondary(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnection2Response.Builder addSecondary(ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnection2Response.Builder addSecondary(int index, ClientWireProtocol.SecondaryInterfaceList value)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnection2Response.Builder addSecondary(ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondary

public ClientWireProtocol.ClientConnection2Response.Builder addSecondary(int index, ClientWireProtocol.SecondaryInterfaceList.Builder builderForValue)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addAllSecondary

public ClientWireProtocol.ClientConnection2Response.Builder addAllSecondary(Iterable<? extends ClientWireProtocol.SecondaryInterfaceList> values)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### clearSecondary

public ClientWireProtocol.ClientConnection2Response.Builder clearSecondary()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### removeSecondary

public ClientWireProtocol.ClientConnection2Response.Builder removeSecondary(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder getSecondaryBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryOrBuilder

public ClientWireProtocol.SecondaryInterfaceListOrBuilder getSecondaryOrBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryOrBuilder` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`

### getSecondaryOrBuilderList

public List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder> getSecondaryOrBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryOrBuilderList` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`

### addSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder addSecondaryBuilder()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### addSecondaryBuilder

public ClientWireProtocol.SecondaryInterfaceList.Builder addSecondaryBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getSecondaryBuilderList

public List<ClientWireProtocol.SecondaryInterfaceList.Builder> getSecondaryBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

### getServerSessionId

public String getServerSessionId()
`string serverSessionId = 7;`

Specified by:
  `getServerSessionId` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The serverSessionId.

### getServerSessionIdBytes

public com.google.protobuf.ByteString getServerSessionIdBytes()
`string serverSessionId = 7;`

Specified by:
  `getServerSessionIdBytes` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The bytes for serverSessionId.

### setServerSessionId

public ClientWireProtocol.ClientConnection2Response.Builder setServerSessionId(String value)
`string serverSessionId = 7;`

Parameters:
  `value` - The serverSessionId to set.
Returns:
  This builder for chaining.

### clearServerSessionId

public ClientWireProtocol.ClientConnection2Response.Builder clearServerSessionId()
`string serverSessionId = 7;`

Returns:
  This builder for chaining.

### setServerSessionIdBytes

public ClientWireProtocol.ClientConnection2Response.Builder setServerSessionIdBytes(com.google.protobuf.ByteString value)
`string serverSessionId = 7;`

Parameters:
  `value` - The bytes for serverSessionId to set.
Returns:
  This builder for chaining.

### hasSecurityToken

public boolean hasSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `hasSecurityToken` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  Whether the securityToken field is set.

### getSecurityToken

public ClientWireProtocol.SecurityToken getSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `getSecurityToken` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The securityToken.

### setSecurityToken

public ClientWireProtocol.ClientConnection2Response.Builder setSecurityToken(ClientWireProtocol.SecurityToken value)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### setSecurityToken

public ClientWireProtocol.ClientConnection2Response.Builder setSecurityToken(ClientWireProtocol.SecurityToken.Builder builderForValue)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### mergeSecurityToken

public ClientWireProtocol.ClientConnection2Response.Builder mergeSecurityToken(ClientWireProtocol.SecurityToken value)

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### clearSecurityToken

public ClientWireProtocol.ClientConnection2Response.Builder clearSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### getSecurityTokenBuilder

public ClientWireProtocol.SecurityToken.Builder getSecurityTokenBuilder()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

### getSecurityTokenOrBuilder

public ClientWireProtocol.SecurityTokenOrBuilder getSecurityTokenOrBuilder()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `getSecurityTokenOrBuilder` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`

### setUnknownFields

public final ClientWireProtocol.ClientConnection2Response.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ClientConnection2Response.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`